import unittest

import requests

from util import req, reqGet, reqForm, reqDelete, reqPut


def get_token():
    headers = {
        'authority': 'edsp.rxdpdev.k5.bigtree.tech',
        'accept': 'application/json, text/plain, */*',
        'accept-language': 'zh-CN,zh;q=0.9,en;q=0.8',
    }

    json_data = {
        'username': 'yuyannan',
        'password': 'Aa123456',
        'token': True,
    }

    response = requests.post('https://edsp.rxdpdev.k5.bigtree.tech/api/rxdp-auth-web/auth/login', headers=headers, json=json_data)
    return response.json()['token']


class MyTest(unittest.TestCase):

    def setUp(self) -> None:
        self.host = "https://gateway.rxdpdev.k5.bigtree.tech/rxdp-tag/rxdp-tag-polymer"
        # self.host = "http://127.1:8081/rxdp-tag-polymer"
        self.head = {
            "Access-Token": get_token()
        }

    # 分页
    def test_page(self):
        reqGet(self.host + "/page?page=1&limit=10", None, self.head)

    # 删除
    def test_del(self):
        reqDelete(self.host + "/5", None, self.head)

    # 更新状态
    def test_update_state(self):
        reqPut(self.host + "/state?id=6&tagState=1", None, self.head)

    # 上传配置
    def test_upload(self):
        with open('/Users/alvin/Downloads/______.json', 'rb') as file:
            files = {'file': file}
            response = requests.post(self.host + "/importData", files=files, headers=self.head)
            print(response.json())
